package com.pcloud.book.giftcoupon.dao;

import com.pcloud.book.giftcoupon.entity.GiftReceive;
import com.pcloud.common.core.dao.BaseDao;

import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 专享礼券包领取表(GiftReceive)表数据库访问层
 *
 * @author makejava
 * @since 2020-04-19 14:59:34
 */
public interface GiftReceiveDao extends BaseDao<GiftReceive> {

    /**
     * 通过ID查询单条数据
     *
     * @return 实例对象
     */
    GiftReceive getGiftReceive(Long wechatUserId,Long giftPackageId);

    /**
     * 查询指定行数据
     *
     * @param offset 查询起始位置
     * @param limit 查询条数
     * @return 对象列表
     */
    List<GiftReceive> queryAllByLimit(@Param("offset") int offset, @Param("limit") int limit);


    /**
     * 通过实体作为筛选条件查询
     *
     * @param giftReceive 实例对象
     * @return 对象列表
     */
    List<GiftReceive> queryAll(GiftReceive giftReceive);


    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);


}